osl::record::KIFCharacters Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Attributes | List of all members
osl::record::KIFCharacters Struct Reference

柿木形式（KIF）。頭にv More...

`#include <kanjiPrint.h>`

Inheritance diagram for osl::record::KIFCharacters:
[legend]
Collaboration diagram for osl::record::KIFCharacters:
[legend]

## Public Member Functions
const std::string & | getDan (const size_t index) const
| 段数の文字を返す More...
const std::string & | getSuji (const size_t index) const
| 筋の文字を返す。駒の文字幅に合わせる必要がある。 More...
const std::string & | getPiece (const size_t index) const
| 盤面上の駒を返す More...
Public Member Functions inherited from osl::record::Characters
virtual | ~Characters ()
const std::string & | getStand (const size_t index) const
| 持ち駒の漢字文字を返す。1文字を期待する More...
const std::string & | stand_kanji (const PtypeO &ptypeo) const
const std::string & | kanji (const PtypeO &ptypeo) const
const std::string & | kanji (Ptype ptype) const

## Static Public Attributes
static const misc::CArray < std::string, 10 > | dan
static const misc::CArray < std::string, 10 > | suji
static const misc::CArray < std::string, 32 > | pieces
Static Public Attributes inherited from osl::record::Characters
static const misc::CArray < std::string, 32 > | stand

## Detailed Description

柿木形式（KIF）。頭にv

Definition at line 171 of file kanjiPrint.h.

## Member Function Documentation

const std::string& osl::record::KIFCharacters::getDan | ( | const size_t | index) |  | const
| inlinevirtual

段数の文字を返す

Implements osl::record::Characters.

Definition at line 177 of file kanjiPrint.h.

References dan.

const std::string& osl::record::KIFCharacters::getPiece | ( | const size_t | index) |  | const
| inlinevirtual

盤面上の駒を返す

Implements osl::record::Characters.

Definition at line 179 of file kanjiPrint.h.

References pieces.

const std::string& osl::record::KIFCharacters::getSuji | ( | const size_t | index) |  | const
| inlinevirtual

筋の文字を返す。駒の文字幅に合わせる必要がある。

Implements osl::record::Characters.

Definition at line 178 of file kanjiPrint.h.

References suji.

## Member Data Documentation

const osl::misc::CArray< std::string, 10 > osl::record::KIFCharacters::dan
| static

Initial value:
=
osl::record::StandardCharacters::dan

Definition at line 173 of file kanjiPrint.h.

Referenced by getDan().

const osl::misc::CArray< std::string, 32 > osl::record::KIFCharacters::pieces
| static

Initial value:
=
{{
" " K_NAKAGURO, "+E",
"v" K_PPAWN, "v" K_PLANCE, "v" K_PKNIGHT, "v" K_PSILVER, "v" K_PBISHOP, "v" K_PROOK, "v" K_KING,
"v" K_GOLD, "v" K_PAWN, "v" K_LANCE, "v" K_KNIGHT, "v" K_SILVER, "v" K_BISHOP, "v" K_ROOK,
" " K_NAKAGURO, "+E",
" " K_PPAWN, " " K_PLANCE, " " K_PKNIGHT, " " K_PSILVER, " " K_PBISHOP, " " K_PROOK, " " K_KING,
" " K_GOLD, " " K_PAWN, " " K_LANCE, " " K_KNIGHT, " " K_SILVER, " " K_BISHOP, " " K_ROOK
}}

Definition at line 175 of file kanjiPrint.h.

Referenced by getPiece().

const osl::misc::CArray< std::string, 10 > osl::record::KIFCharacters::suji
| static

Initial value:
=
{{"", " " K_R1, " " K_R2, " " K_R3, " " K_R4, " " K_R5, " " K_R6, " " K_R7, " " K_R8, " " K_R9}}

Definition at line 174 of file kanjiPrint.h.

Referenced by getSuji().

The documentation for this struct was generated from the following files:

- kanjiPrint.h
- kanjiPrint.cc